#ifndef BASIC_PARAMETERS_H_INCLUDED
#define BASIC_PARAMETERS_H_INCLUDED

#define LPP_SPECTRAL_MATRIX_CTRL 0x80000700
#define LPP_SPECTRAL_MATRIX_1 0x80000704
#define LPP_SPECTRAL_MATRIX_2 0x80000708

#define NB_BINS_SPECTRAL_MATRIX 128
#define NB_VALUES_PER_SPECTRAL_MATRIX 30
#define TOTAL_SIZE_SPECTRAL_MATRIX NB_BINS_SPECTRAL_MATRIX * NB_VALUES_PER_SPECTRAL_MATRIX
#define NB_BINS_COMPRESSED_MATRIX_f0 2
#define SIZE_COMPRESSED_SPECTRAL_MATRIX_f1 13
#define SIZE_COMPRESSED_SPECTRAL_MATRIX_f2 12
#define TOTAL_SIZE_COMPRESSED_MATRIX_f0 NB_BINS_COMPRESSED_MATRIX_f0 * NB_VALUES_PER_SPECTRAL_MATRIX
#define NB_AVERAGE_NORMAL_f0 4

volatile int spectral_matrix_f0_a[TOTAL_SIZE_SPECTRAL_MATRIX];
volatile int spectral_matrix_f0_b[TOTAL_SIZE_SPECTRAL_MATRIX];
int averaged_spectral_matrix_f0[TOTAL_SIZE_SPECTRAL_MATRIX];

float compressed_spectral_matrix_f0[TOTAL_SIZE_COMPRESSED_MATRIX_f0];

unsigned char LFR_BP1_F0[NB_BINS_COMPRESSED_MATRIX_f0*9];
unsigned char LFR_BP2_F0[NB_BINS_COMPRESSED_MATRIX_f0*30];

void BP1_set();
void BP2_set();

#endif // BASIC_PARAMETERS_H_INCLUDED
